# Interface JmolChimeMessenger

All Known Implementing Classes:
  `ChimeMessenger`

public interface JmolChimeMessenger

## Method Summary

Modifier and Type
Method
Description
`void`
`getAllChimeInfo(SB sb)`
`String`
`getInfoXYZ(Atom a)`
`void`
`reportSelection(int n)`
`String`
`scriptCompleted(StatusManager statusManager, String statusMessage, String strErrorMessageUntranslated)`
`JmolChimeMessenger`
`set(Viewer vwr)`
`void`
`showHash(SB outputBuffer, String msg)`
`void`
`update(String msg)`

## Method Details

### set

JmolChimeMessenger set(Viewer vwr)

### getInfoXYZ

String getInfoXYZ(Atom a)

### reportSelection

void reportSelection(int n)

### scriptCompleted

String scriptCompleted(StatusManager statusManager, String statusMessage, String strErrorMessageUntranslated)

### showHash

void showHash(SB outputBuffer, String msg)

### update

void update(String msg)

### getAllChimeInfo

void getAllChimeInfo(SB sb)